## ros-foxy-smacc2 2.1.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(smacc2)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_action REQUIRED)
find_package(smacc2_msgs REQUIRED)
find_package(Boost COMPONENTS thread REQUIRED)
find_package(tracetools)
find_package(LTTngUST REQUIRED)

set(dependencies
  rclcpp
  smacc2_msgs
  rclcpp_action
  tracetools
)

include_directories(include ${LTTNGUST_INCLUDE_DIRS})

file(GLOB_RECURSE SRC_FILES src *.cpp)
add_library(smacc2 SHARED ${SRC_FILES})

# removes unused parameters warning related with lttng, compiler warning
set_source_files_properties(
  src/smacc2/smacc_tracing.cpp
  PROPERTIES
  COMPILE_FLAGS "-Wno-unused-parameter"
)

ament_target_dependencies(smacc2 ${dependencies})
target_link_libraries(smacc2
  ${Boost_LIBRARIES}
  ${LTTNGUST_LIBRARIES}
)

ament_export_include_directories(include)
ament_export_libraries(smacc2)
ament_export_dependencies(${dependencies})

install(
  DIRECTORY include/
  DESTINATION include
)

install(TARGETS
  smacc2
  DESTINATION lib/)

install(FILES
  scripts/trace.sh
  PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE
  DESTINATION lib/${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-foxy-smacc2 (2.1.21-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Pablo Inigo Blasco <pablo@robosoft.ai>  Sun, 23 Apr 2023 23:37:20 -0000

ros-foxy-smacc2 (0.2.0-1focal) focal; urgency=high

  * improvements in smacc core adding more components mostly developed for autoware demo
  * Foxy backport (#206 <https://github.com/StoglRobotics-forks/SMACC2/issues/206>)
  * Feature/testing moveit behaviors (#167 <https://github.com/StoglRobotics-forks/SMACC2/issues/167>)
  * Add QOS durability to SmaccPublisherClient (#163 <https://github.com/StoglRobotics-forks/SMACC2/issues/163>)
  * initial state machine transition timestamp (#165 <https://github.com/StoglRobotics-forks/SMACC2/issues/165>)
  * Feature/migration moveit client (#151 <https://github.com/StoglRobotics-forks/SMACC2/issues/151>)
  * Remove node creation and create only a logger. (#149 <https://github.com/StoglRobotics-forks/SMACC2/issues/149>)
  * Feature/slam toggle and smacc deep history (#122 <https://github.com/StoglRobotics-forks/SMACC2/issues/122>)
  * Feature/core and navigation fixes (#78 <https://github.com/StoglRobotics-forks/SMACC2/issues/78>)
  * Merge pull request #40 <https://github.com/StoglRobotics-forks/SMACC2/issues/40> from pabloinigoblasco/feature/navigation_rolling
  * Merge pull request #41 <https://github.com/StoglRobotics-forks/SMACC2/issues/41> from DecDury/renameTracingEvents
    renamed tracing events
  * Merge branch 'renameTracingEvents' of https://github.com/DecDury/SMACC2 into DecDury-renameTracingEvents
  * Contributors: David Revay, DecDury, Denis Štogl, Pablo Iñigo Blasco, pabloinigoblasco, reelrbtx

 -- Pablo Inigo Blasco <pablo@robosoft.ai>  Mon, 04 Apr 2022 00:00:00 -0000

ros-foxy-smacc2 (0.1.0-1focal) focal; urgency=high

  * Initial release of SMACC2 core
  * Contributors: Brett Aldrich, Pablo Inigo Blasco, Denis Štogl

 -- Pablo Inigo Blasco <pablo@robosoft.ai>  Tue, 31 Aug 2021 00:00:00 -0000

=== debian/control ===
Source: ros-foxy-smacc2
Section: misc
Priority: optional
Maintainer: Pablo Inigo Blasco <pablo@robosoft.ai>
Build-Depends: debhelper (>= 9.0.0), libboost-thread-dev, liblttng-ust-dev, ros-foxy-ament-cmake, ros-foxy-rcl, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-smacc2-msgs, ros-foxy-tracetools, ros-foxy-tracetools-launch, ros-foxy-tracetools-trace, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-smacc2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-thread1.71.0, liblttng-ust-dev, ros-foxy-rcl, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-smacc2-msgs, ros-foxy-tracetools, ros-foxy-tracetools-launch, ros-foxy-tracetools-trace, ros-foxy-ros-workspace
Description: An Event-Driven, Asynchronous, Behavioral State Machine Library for ROS2 (Robotic Operating System) applications written in C++.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-smacc2//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
